Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/bspwm: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sat, 26 Sep 2015 10:13:49 +0200

---
 testing/bspwm/APKBUILD | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)
 create mode 100644 testing/bspwm/APKBUILD
diff --git a/testing/bspwm/APKBUILD b/testing/bspwm/APKBUILD
new file mode 100644
index 0000000..8ff3438
--- /dev/null
+++ b/testing/bspwm/APKBUILD
_at_@ -0,0 +1,29 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+pkgname=bspwm
+pkgver=0.9
+pkgrel=0
+pkgdesc="Tiling window manager based on binary space partitioning"
+url="https://github.com/baskerville/bspwm"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="libxcb-dev xcb-util-dev xcb-util-wm-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/baskerville/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	make PREFIX=/usr -C "$_builddir" || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir" PREFIX=/usr \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="fd170b166a4e446a0b08f4027f802b0e  bspwm-0.9.tar.gz"
+sha256sums="1efb2db7b8a251bcc006d66a050cf66e9d311761c94890bebf91a32905042fde  bspwm-0.9.tar.gz"
+sha512sums="09c4a52dc9f2635973d3b31d507373c27e17a8fb172b2783422049cfc4fa8416bb87a29dea74c2e0e71febdfa53f86a9c09004aa7328b6a08490537329c48370  bspwm-0.9.tar.gz"
-- 
2.5.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Sep 26 2015 - 10:13:49 GMT